{
    "objects": [
        {
            "attributes": {
                "description": "Overview of the VSphere virtualmachine metrics",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "optionsJSON": "{\"hidePanelTitles\": false, \"useMargins\": true}",
                "panelsJSON": "[{\"panelRefName\": \"panel_0\", \"panelIndex\": \"80c96802-a5b2-4196-91b7-9e39f59f472b\", \"embeddableConfig\": {}, \"version\": \"7.4.0\", \"gridData\": {\"x\": 0, \"i\": \"80c96802-a5b2-4196-91b7-9e39f59f472b\", \"w\": 24, \"y\": 0, \"h\": 18}}, {\"panelRefName\": \"panel_1\", \"panelIndex\": \"948b7896-98e3-4260-b06e-78ac354bed69\", \"embeddableConfig\": {}, \"version\": \"7.4.0\", \"gridData\": {\"x\": 24, \"i\": \"948b7896-98e3-4260-b06e-78ac354bed69\", \"w\": 24, \"y\": 0, \"h\": 18}}, {\"panelRefName\": \"panel_2\", \"panelIndex\": \"b6d0ae24-0b52-4d16-bbcd-a9d6143054d2\", \"embeddableConfig\": {}, \"version\": \"7.4.0\", \"gridData\": {\"x\": 0, \"i\": \"b6d0ae24-0b52-4d16-bbcd-a9d6143054d2\", \"w\": 24, \"y\": 18, \"h\": 19}}, {\"panelRefName\": \"panel_3\", \"panelIndex\": \"52f8ef2e-3fa3-4494-bdb4-179737fc2fda\", \"embeddableConfig\": {}, \"version\": \"7.4.0\", \"gridData\": {\"x\": 24, \"i\": \"52f8ef2e-3fa3-4494-bdb4-179737fc2fda\", \"w\": 24, \"y\": 18, \"h\": 19}}, {\"panelRefName\": \"panel_4\", \"panelIndex\": \"dfc089db-6bab-4410-962d-14cc622d7681\", \"embeddableConfig\": {\"vis\": null}, \"version\": \"7.4.0\", \"gridData\": {\"x\": 0, \"i\": \"dfc089db-6bab-4410-962d-14cc622d7681\", \"w\": 48, \"y\": 37, \"h\": 35}}]",
                "timeRestore": false,
                "title": "[Metricbeat VSphere] VMs overview ECS",
                "version": 1
            },
            "id": "8a2d1540-f049-11e9-aaf3-15199b632da7",
            "migrationVersion": {
                "dashboard": "7.3.0"
            },
            "references": [
                {
                    "id": "dae93d90-f041-11e9-aaf3-15199b632da7",
                    "name": "panel_0",
                    "type": "visualization"
                },
                {
                    "id": "a6026680-f017-11e9-aaf3-15199b632da7",
                    "name": "panel_1",
                    "type": "visualization"
                },
                {
                    "id": "5c6a93a0-f04c-11e9-aaf3-15199b632da7",
                    "name": "panel_2",
                    "type": "visualization"
                },
                {
                    "id": "9afddd20-f04c-11e9-aaf3-15199b632da7",
                    "name": "panel_3",
                    "type": "visualization"
                },
                {
                    "id": "e3a3e080-f018-11e9-aaf3-15199b632da7",
                    "name": "panel_4",
                    "type": "visualization"
                }
            ],
            "type": "dashboard",
            "updated_at": "2019-10-19T09:21:58.142Z",
            "version": "WzY4NywxXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchRefName": "search_0",
                "title": "CPU/RAM/Network per VM [Metricbeat VSphere] ECS",
                "uiStateJSON": "{\"vis\": {\"params\": {\"sort\": {\"columnIndex\": null, \"direction\": null}}}}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"enabled\": true, \"schema\": \"bucket\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 50, \"orderBy\": \"1\", \"otherBucket\": false, \"field\": \"vsphere.virtualmachine.name\", \"customLabel\": \"Name\", \"order\": \"desc\"}, \"id\": \"2\", \"type\": \"terms\"}, {\"enabled\": true, \"schema\": \"bucket\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"orderAgg\": {\"enabled\": true, \"schema\": \"orderAgg\", \"params\": {\"field\": \"vsphere.virtualmachine.cpu.used.mhz\"}, \"id\": \"5-orderAgg\", \"type\": \"max\"}, \"size\": 5, \"orderBy\": \"custom\", \"otherBucket\": false, \"field\": \"vsphere.virtualmachine.cpu.used.mhz\", \"customLabel\": \"Used CPU\", \"order\": \"desc\"}, \"id\": \"5\", \"type\": \"terms\"}, {\"enabled\": true, \"schema\": \"bucket\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"orderAgg\": {\"enabled\": true, \"schema\": \"orderAgg\", \"params\": {\"field\": \"vsphere.virtualmachine.memory.total.guest.bytes\"}, \"id\": \"3-orderAgg\", \"type\": \"max\"}, \"size\": 15, \"orderBy\": \"custom\", \"otherBucket\": false, \"field\": \"vsphere.virtualmachine.memory.total.guest.bytes\", \"customLabel\": \"Total RAM\", \"order\": \"desc\"}, \"id\": \"3\", \"type\": \"terms\"}, {\"enabled\": true, \"schema\": \"bucket\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 5, \"orderBy\": \"1\", \"otherBucket\": false, \"field\": \"vsphere.virtualmachine.network_names\", \"customLabel\": \"Networks\", \"order\": \"desc\"}, \"id\": \"4\", \"type\": \"terms\"}], \"title\": \"CPU/RAM/Network per VM [Metricbeat VSphere] ECS\", \"params\": {\"totalFunc\": \"sum\", \"showMetricsAtAllLevels\": false, \"showTotal\": false, \"dimensions\": {\"buckets\": [{\"aggType\": \"terms\", \"accessor\": 0, \"params\": {}, \"format\": {\"id\": \"terms\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"id\": \"string\"}}}, {\"aggType\": \"terms\", \"accessor\": 1, \"params\": {}, \"format\": {\"id\": \"terms\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"id\": \"number\"}}}, {\"aggType\": \"terms\", \"accessor\": 2, \"params\": {}, \"format\": {\"id\": \"terms\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"id\": \"bytes\"}}}, {\"aggType\": \"terms\", \"accessor\": 3, \"params\": {}, \"format\": {\"id\": \"terms\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"id\": \"string\"}}}], \"metrics\": [{\"aggType\": \"count\", \"accessor\": 4, \"params\": {}, \"format\": {\"id\": \"number\"}}]}, \"sort\": {\"columnIndex\": null, \"direction\": null}, \"perPage\": 10, \"showPartialRows\": false, \"percentageCol\": \"\"}, \"type\": \"table\"}"
            },
            "id": "dae93d90-f041-11e9-aaf3-15199b632da7",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "1411b690-f017-11e9-aaf3-15199b632da7",
                    "name": "search_0",
                    "type": "search"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-10-19T09:14:27.107Z",
            "version": "WzQ2MCwxXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchRefName": "search_0",
                "title": "OS Distribution [Metricbeat VSphere] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"enabled\": true, \"schema\": \"segment\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 20, \"orderBy\": \"1\", \"otherBucket\": false, \"field\": \"vsphere.virtualmachine.os\", \"customLabel\": \"Operating Systems\", \"order\": \"desc\"}, \"id\": \"2\", \"type\": \"terms\"}], \"title\": \"OS Pie [Metricbeat VSphere] ECS\", \"params\": {\"labels\": {\"last_level\": true, \"show\": false, \"truncate\": 100, \"values\": true}, \"type\": \"pie\", \"addTooltip\": true, \"legendPosition\": \"right\", \"dimensions\": {\"metric\": {\"aggType\": \"count\", \"accessor\": 1, \"params\": {}, \"format\": {\"id\": \"number\"}}, \"buckets\": [{\"aggType\": \"terms\", \"accessor\": 0, \"params\": {}, \"format\": {\"id\": \"terms\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"id\": \"string\"}}}]}, \"isDonut\": true, \"addLegend\": true}, \"type\": \"pie\"}"
            },
            "id": "a6026680-f017-11e9-aaf3-15199b632da7",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "1411b690-f017-11e9-aaf3-15199b632da7",
                    "name": "search_0",
                    "type": "search"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-10-19T09:14:27.107Z",
            "version": "WzQ2MSwxXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchRefName": "search_0",
                "title": "Networks from virtualmachine [Metricbeat VSphere] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"enabled\": true, \"schema\": \"segment\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 15, \"orderBy\": \"1\", \"otherBucket\": false, \"field\": \"vsphere.virtualmachine.network_names\", \"customLabel\": \"Networks\", \"order\": \"desc\"}, \"id\": \"2\", \"type\": \"terms\"}], \"title\": \"Networks from virtualmachine [Metricbeat VSphere] ECS\", \"params\": {\"labels\": {\"last_level\": true, \"show\": false, \"truncate\": 100, \"values\": true}, \"type\": \"pie\", \"addTooltip\": true, \"legendPosition\": \"right\", \"dimensions\": {\"metric\": {\"aggType\": \"count\", \"accessor\": 1, \"params\": {}, \"format\": {\"id\": \"number\"}}, \"buckets\": [{\"aggType\": \"terms\", \"accessor\": 0, \"params\": {}, \"format\": {\"id\": \"terms\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"id\": \"string\"}}}]}, \"isDonut\": true, \"addLegend\": true}, \"type\": \"pie\"}"
            },
            "id": "5c6a93a0-f04c-11e9-aaf3-15199b632da7",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "1411b690-f017-11e9-aaf3-15199b632da7",
                    "name": "search_0",
                    "type": "search"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-10-19T09:14:27.107Z",
            "version": "WzQ2MiwxXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchRefName": "search_0",
                "title": "VMs per ESXI host [Metricbeat VSphere] ECS",
                "uiStateJSON": "{}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"enabled\": true, \"schema\": \"segment\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 20, \"orderBy\": \"1\", \"otherBucket\": false, \"field\": \"vsphere.virtualmachine.host.hostname\", \"customLabel\": \"VM ESXi Host\", \"order\": \"desc\"}, \"id\": \"2\", \"type\": \"terms\"}], \"title\": \"how many VMs run on a ESXI host [Metricbeat VSphere] ECS\", \"params\": {\"labels\": {\"last_level\": true, \"show\": false, \"truncate\": 100, \"values\": true}, \"type\": \"pie\", \"addTooltip\": true, \"legendPosition\": \"right\", \"dimensions\": {\"metric\": {\"aggType\": \"count\", \"accessor\": 1, \"params\": {}, \"format\": {\"id\": \"number\"}}, \"buckets\": [{\"aggType\": \"terms\", \"accessor\": 0, \"params\": {}, \"format\": {\"id\": \"terms\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"id\": \"string\"}}}]}, \"isDonut\": true, \"addLegend\": true}, \"type\": \"pie\"}"
            },
            "id": "9afddd20-f04c-11e9-aaf3-15199b632da7",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "1411b690-f017-11e9-aaf3-15199b632da7",
                    "name": "search_0",
                    "type": "search"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-10-19T09:14:27.107Z",
            "version": "WzQ2MywxXQ=="
        },
        {
            "attributes": {
                "description": "",
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"query\": {\"query\": \"\", \"language\": \"kuery\"}, \"filter\": []}"
                },
                "savedSearchRefName": "search_0",
                "title": "VM placements on ESXi Hosts[Metricbeat VSphere] ECS",
                "uiStateJSON": "{\"vis\": {\"defaultColors\": {\"80 - 120\": \"rgb(116,196,118)\", \"0 - 40\": \"rgb(247,252,245)\", \"40 - 80\": \"rgb(199,233,192)\", \"120 - 160\": \"rgb(35,139,69)\"}}}",
                "version": 1,
                "visState": "{\"aggs\": [{\"enabled\": true, \"schema\": \"metric\", \"params\": {}, \"id\": \"1\", \"type\": \"count\"}, {\"enabled\": true, \"schema\": \"group\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 50, \"orderBy\": \"1\", \"otherBucket\": false, \"field\": \"vsphere.virtualmachine.name\", \"customLabel\": \"VM Name\", \"order\": \"desc\"}, \"id\": \"2\", \"type\": \"terms\"}, {\"enabled\": true, \"schema\": \"segment\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"missingBucket\": false, \"size\": 50, \"orderBy\": \"1\", \"otherBucket\": false, \"field\": \"vsphere.virtualmachine.host.hostname\", \"customLabel\": \"ESXi Host\", \"order\": \"desc\"}, \"id\": \"3\", \"type\": \"terms\"}], \"title\": \"VM placements on ESXi Hosts[Metricbeat VSphere] ECS\", \"params\": {\"addTooltip\": true, \"colorsNumber\": 4, \"colorsRange\": [], \"invertColors\": false, \"setColorRange\": false, \"enableHover\": false, \"valueAxes\": [{\"scale\": {\"type\": \"linear\", \"defaultYExtents\": false}, \"id\": \"ValueAxis-1\", \"labels\": {\"rotate\": 0, \"show\": false, \"overwriteColor\": false, \"color\": \"black\"}, \"show\": false, \"type\": \"value\"}], \"dimensions\": {\"x\": {\"aggType\": \"terms\", \"accessor\": 1, \"params\": {}, \"format\": {\"id\": \"terms\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"id\": \"string\"}}}, \"series\": [{\"aggType\": \"terms\", \"accessor\": 0, \"params\": {}, \"format\": {\"id\": \"terms\", \"params\": {\"missingBucketLabel\": \"Missing\", \"otherBucketLabel\": \"Other\", \"id\": \"string\"}}}], \"y\": [{\"aggType\": \"count\", \"accessor\": 2, \"params\": {}, \"format\": {\"id\": \"number\"}}]}, \"times\": [], \"percentageMode\": false, \"colorSchema\": \"Greens\", \"addLegend\": true, \"legendPosition\": \"right\", \"type\": \"heatmap\"}, \"type\": \"heatmap\"}"
            },
            "id": "e3a3e080-f018-11e9-aaf3-15199b632da7",
            "migrationVersion": {
                "visualization": "7.3.1"
            },
            "references": [
                {
                    "id": "1411b690-f017-11e9-aaf3-15199b632da7",
                    "name": "search_0",
                    "type": "search"
                }
            ],
            "type": "visualization",
            "updated_at": "2019-10-19T09:14:27.107Z",
            "version": "WzQ2NCwxXQ=="
        },
        {
            "attributes": {
                "columns": [
                    "_source"
                ],
                "description": "",
                "hits": 0,
                "kibanaSavedObjectMeta": {
                    "searchSourceJSON": "{\"indexRefName\": \"kibanaSavedObjectMeta.searchSourceJSON.index\", \"version\": true, \"filter\": [], \"highlightAll\": true, \"query\": {\"query\": \"event.module: \\\"vsphere\\\" \", \"language\": \"kuery\"}}"
                },
                "sort": [
                    [
                        "@timestamp",
                        "desc"
                    ]
                ],
                "title": "search for event module [Metricbeat VSphere] ECS",
                "version": 1
            },
            "id": "1411b690-f017-11e9-aaf3-15199b632da7",
            "migrationVersion": {
                "search": "7.4.0"
            },
            "references": [
                {
                    "id": "metricbeat-*",
                    "name": "kibanaSavedObjectMeta.searchSourceJSON.index",
                    "type": "index-pattern"
                }
            ],
            "type": "search",
            "updated_at": "2019-10-19T09:14:27.107Z",
            "version": "WzMwNiwxXQ=="
        }
    ],
    "version": "7.4.0"
}